This is the mail archive of the cygwin-apps mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

ssh-host-config still asks for confirmation even with -y


Hi 

I was trying to use ssh-host-config -y -w "pass", but it still wanted to ask whether the username "cyg_server" was OK. 

I think the best fix is to make csih_select_privileged_username use the default name if csih_auto_answer is "yes". 

--- cygwin-service-installation-helper.sh.orig  2009-09-17 16:43:45.667261100 +1000
+++ cygwin-service-installation-helper.sh       2009-09-17 16:44:15.853454600 +1000
@@ -2414,7 +2414,7 @@
       csih_inform "'${username}' will only be used by registered services."
       if [ $opt_force -eq 0 ]
       then
-        if csih_request "Do you want to use a different name?"
+        if ! csih_request "Is this OK?"
         then
           csih_get_value "Enter the new user name:"
           username="${csih_value}"


Thanks

Mike


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]